Open MCP Portaldocs
ReferenceAdmin

Set or clear a team's publishing override (platform admins); If-Match is the team's revision

PUT/v1/admin/teams/{team}/publishing

Path Parameters

team*string

Team slug or ID

Header Parameters

If-Match*string

The resource's revision, as returned in ETag (for example "3"). Missing returns 428; stale returns 412.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/admin/teams/string/publishing" \  -H "If-Match: string" \  -H "Content-Type: application/json" \  -d '{    "override": "approval_required"  }'
{  "data": {    "override": "approval_required",    "effective": "approval_required",    "defaultPolicy": "approval_required",    "revision": null  }}